Bug 198475 - bcm43xx error messages on module load
bcm43xx error messages on module load
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-11 08:53 EDT by Robert Story
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-13 10:10:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Story 2006-07-11 08:53:23 EDT
Description of problem:
Sometimes, but not all the time, loading the bcm43xx module logs messages while
loading firmware:

Jul 11 08:51:03 spx kernel: bcm43xx: Error: Microcode "bcm43xx_microcode5.fw"
not available or load failed.
Jul 11 08:51:03 spx kernel: bcm43xx: Error: PCM "bcm43xx_pcm5.fw" not available
or load failed.
Jul 11 08:51:23 spx kernel: bcm43xx: Error: InitVals "bcm43xx_initval06.fw" not
available or load failed.

This does not appear to affect functionality. Usually unloading and re-loading
the module will work, with no error messages.

Version-Release number of selected component (if applicable):
2.6.17-1.2139_FC5

How reproducible:
sometimes

Steps to Reproduce:
1. modprobe bcm43xx
2.
3.
  
Actual results:
error messages

Expected results:
no error messages

Additional info:
Comment 1 Dave Jones 2006-10-16 16:17:27 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 John W. Linville 2007-02-13 10:10:37 EST
Closed due to lack of response.  Please reopen when requested information 
becomes available...thanks!
Comment 3 Robert Story 2007-02-14 10:12:06 EST
currently running 2.6.18-1.2257.fc5, and still seeing occasional messages, on
boot and when waking from sleep:

Jan 26 09:42:50 spx kernel: SoftMAC: ASSERTION FAILED (0) at:
net/ieee80211/softmac/ieee80211softmac_wx.c:306:ieee80211softmac_wx_get_rate()
Jan 26 09:42:50 spx kernel: bcm43xx: PHY connected
Jan 26 09:42:50 spx kernel: firmware_loading_store: unexpected value (0)
Jan 26 09:42:50 spx kernel: bcm43xx: Error: Microcode "bcm43xx_microcode5.fw"
not available or load failed.
Jan 26 09:42:50 spx kernel: bcm43xx: core_up for active 802.11 core failed (-2)


Jan 20 11:29:27 spx kernel: bcm43xx: Error: PCM "bcm43xx_pcm5.fw" not available
or load failed.
Jan 20 11:29:27 spx kernel: bcm43xx: core_up for active 802.11 core failed (-2)
Jan 20 11:29:27 spx firmware_helper[20408]: Loading of
/lib/firmware/bcm43xx_pcm5.fw for bcm43xx driver failed: No such file or directory
Comment 4 John W. Linville 2007-02-14 10:33:39 EST
I'm going to have to ask you to try FC6.  Do you still have this issue w/ e.g. 
2.6.19-1.2895.fc6?

Note You need to log in before you can comment on or make changes to this bug.